# AWS API client for AWS Budgets

**Warning: This is a generated library, some operations may not work.**

*About the service:*
The AWS Budgets API enables you to use AWS Budgets to plan your service
usage, service costs, and instance reservations. The API reference provides
descriptions, syntax, and usage examples for each of the actions and data
types for AWS Budgets.

Budgets provide you with a way to see the following information:

<ul>
<li>
How close your plan is to your budgeted amount or to the free tier limits
</li>
<li>
Your usage-to-date, including how much you've used of your Reserved
Instances (RIs)
</li>
<li>
Your current estimated charges from AWS, and how much your predicted usage
will accrue in charges by the end of the month
</li>
<li>
How much of your budget has been used
</li>
</ul>
AWS updates your budget status several times a day. Budgets track your
unblended costs, subscriptions, refunds, and RIs. You can create the
following types of budgets:

<ul>
<li>
<b>Cost budgets</b> - Plan how much you want to spend on a service.
</li>
<li>
<b>Usage budgets</b> - Plan how much you want to use one or more services.
</li>
<li>
<b>RI utilization budgets</b> - Define a utilization threshold, and receive
alerts when your RI usage falls below that threshold. This lets you see if
your RIs are unused or under-utilized.
</li>
<li>
<b>RI coverage budgets</b> - Define a coverage threshold, and receive alerts
when the number of your instance hours that are covered by RIs fall below
that threshold. This lets you see how much of your instance usage is covered
by a reservation.
</li>
</ul>
Service Endpoint

The AWS Budgets API provides the following endpoint:

<ul>
<li>
https://budgets.amazonaws.com
</li>
</ul>
For information about costs that are associated with the AWS Budgets API,
see <a href="https://aws.amazon.com/aws-cost-management/pricing/">AWS Cost
Management Pricing</a>.

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

